require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Vibrator"
import "android.content.Intent"
import "android.net.Uri"

carlos = {
"Acceder al Tutorial","Acceder a los archivos en Google Drive","Descargar el Gestor de archivos + en la Play Store",
}

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)

local bienvenidaMensaje = [[¿Quieres aprender a aprovechar las 12 voces de alta calidad en español de Vocalizer en MultiTTS? Te invito a dar clic en el siguiente botón para acceder al tutorial. También encontrarás otro botón para acceder a los archivos y descargarlos desde Google Drive. Además, al final, encontrarás otro botón para descargar el Gestor de archivos +.
Atentamente,
Carlos Cázares
Del canal de YouTube Tutoriales para Ciegos]]

layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = "Por fin puedes utilizar las 12 voces de alta calidad en español de Vocalizer en MultiTTS.",
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    TextView,
    text = bienvenidaMensaje,
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    LinearLayout, -- Contenedor para los botones
    orientation = LinearLayout.VERTICAL,
    layout_width = "fill",
    layout_height = "fill",
    {
      GridView,
      id = "grid",
      numColumns = 1,
      layout_width = "fill",
      layout_height = "0dp",
      layout_weight = 1, -- Utiliza todo el espacio disponible
    },
    {
      Button,
      text = "Volver",
      onClick = function(view)
        dlg.dismiss()
        vibrator.vibrate(100)
      end,
      layout_width = "wrap_content",
      gravity = 5,
    },
  },
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, String(carlos))

grid.onItemClick = function(l, v)
  task(100, function()
    dlg.dismiss()
    local context = activity or service
    vibrator.vibrate(100)
    service.playSoundTick()

if v.text == carlos[1] then
openLink("https://youtu.be/Lf692xkwIa8?si=3c6Qq-LmO4WlG9UT")
elseif v.text == carlos[2] then
openLink("https://drive.google.com/drive/folders/1PJLwCQNcL3oFliP8QX-P1IbPc1V2HNwC")
elseif v.text == carlos[3] then
openLink("https://play.google.com/store/apps/details?id=com.alphainventor.filemanager")
    end
  end)
end

function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  context.startActivity(intent)
service.asyncSpeak("El enlace se ha abierto.")
end

dlg.show()

function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end  return true